#!/usr/bin/make

# nonintel.mak Version 0.1.0 - Compile foursome programs
# for non-Intel platform
# Copyright (C) 2002  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

# Makefile for non-Intel platforms:
# Source file rnd2.c    is used instead of rnd.s
# Source file rndpwr2.c is used instead of rndpwr.s
# Source file rndnum2.c is used instead of rndnum.s

# To compile, run
#	make -f nonintel.mak

# To uninstall, run
#	deinst

MIXEDOBJ=mixed.o \
	initrnd.o \
	rnd.o \
	rndnum.o \
	rndpwr.o

MIXEDVBOBJ=mixedvb.o \
	initnode.o \
	srch.o \
	isrt.o \
	freetree.o \
	initrnd.o \
	rnd.o \
	rndnum.o \
	rndpwr.o

TEAMOBJ=team.o \
	initnode.o \
	srch.o \
	isrt.o \
	freetree.o \
	initrnd.o \
	rnd2.o \
	rndnum2.o \
	rndpwr2.o

FSOMEOBJ=fsome.o \
	initnode.o \
	srch.o \
	isrt.o \
	freetree.o \
	initrnd.o \
	rnd2.o \
	rndnum2.o \
	rndpwr2.o

CC=gcc

LDFLAGS=-lm

all:		mixed mixedvb team fsome snglelim

mixed:		$(MIXEDOBJ)
	$(CC) $(MIXEDOBJ) -o mixed $(LDFLAGS)

mixed.o:	mixed.c
	$(CC) -c mixed.c

mixedvb:	$(MIXEDVBOBJ)
	$(CC) $(MIXEDVBOBJ) -o mixedvb $(LDFLAGS)

mixedvb.o:	mixedvb.c
	$(CC) -c mixedvb.c

team:		$(TEAMOBJ)
	$(CC) $(TEAMOBJ) -o team $(LDFLAGS)

team.o:		team.c
	$(CC) -c team.c

fsome:		$(FSOMEOBJ)
	$(CC) $(FSOMEOBJ) -o fsome $(LDFLAGS)

fsome.o:	fsome.c
	$(CC) -c fsome.c

snglelim:	snglelim.c
	$(CC) snglelim.c -o snglelim

initnode.o:	initnode.c
	$(CC) -c initnode.c

srch.o:		srch.c
	$(CC) -c srch.c

isrt.o:		isrt.c
	$(CC) -c isrt.c

freetree.o:	freetree.c
	$(CC) -c freetree.c

initrnd.o:	initrnd.c
	$(CC) -c initrnd.c

rnd.o:		rnd2.c
	$(CC) -c rnd2.c -o rnd.o

rndnum.o:	rndnum2.c
	$(CC) -c rndnum2.c -o rndnum.o

rndpwr.o:	rndpwr2.c
	$(CC) -c rndpwr2.c -o rndpwr.o

clean:
	rm -f $(MIXEDOBJ) mixed
	rm -f $(MIXEDVBOBJ) mixedvb
	rm -f $(TEAMOBJ) team
	rm -f $(FSOMEOBJ) team
